> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.prolific.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.prolific.com/_mcp/server.

# Get Schema Migration Status

GET https://api.prolific.com/api/v1/data-collection/datasets/{dataset_id}/schema-migrations/{job_id}

Returns the current status of a schema migration job, which reprocesses a V4 dataset's
datapoints against a newer schema version.

A migration job has these statuses:
- `processing` — the migration is underway.

**Terminal statuses:**
- `complete` — all datapoints were reprocessed. `reprocessed_count` is populated.
- `partial` — some datapoints were reprocessed and some fields could not be re-normalised (and
  were nulled). `reprocessed_count`, `failed_count`, and `errors` are populated.
- `failed` — the migration failed entirely. `reason` is populated.

Continue polling while the status is `processing`.

Reference: https://docs.prolific.com/api-reference/task-builder/get-schema-migration-status

## Authentication

- `Authorization` header (required) (prefixed with ` Token  `) — The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings. Your API token does not have an expiry date and carries full permission, so be sure to keep them secure. If your token is leaked, delete it and create a new one directly in the app. In your requests add `Authorization` header with the value `Token <your token>`.

## Request

### Path parameters

- `dataset_id` (string, required) — The unique identifier of the dataset
- `job_id` (string, required) — The schema migration job ID

## Response

### 200

Schema migration job status

- `dataset_id` (string, required) — The dataset being migrated.
- `job_id` (string, required) — The unique identifier of the schema migration job.
- `schema_version` (integer, required) — The schema version this job reprocesses datapoints up to.
- `created_at` (datetime, required) — When the migration job was created (ISO 8601, UTC).
- `updated_at` (datetime, required) — When the migration job was last updated (ISO 8601, UTC).
- `status` (enum, required) — Current status of the migration job.
  - Allowed values: `processing`, `complete`, `partial`, `failed`
- `reprocessed_count` (integer, optional) — Number of datapoints reprocessed. Present when status is `complete` or `partial`.
- `failed_count` (integer, optional) — Number of datapoints with at least one field that could not be re-normalised. Present when status is `partial`.
- `errors` (list of SchemaMigrationError, optional) — Record-level failures — fields nulled because they were invalid under the new schema. Present when status is `partial`.
- `reason` (string, optional) — Human-readable reason for failure. Present when status is `failed`.

## Errors

### 404 Not Found Error

Schema migration job not found

- `error` (ErrorDetail, required)

### 400 Client Request Error

Error

- `error` (ErrorDetail, required)

## Types

### SchemaMigrationError

A single record-level failure — a field that was invalid under the new schema and so was nulled.

- `datapoint_id` (string, required) — The datapoint whose field could not be re-normalised.
- `field` (string, required) — The schema field key that was nulled.
- `reason` (string, required) — Human-readable description of why the field was nulled.

### ErrorDetail

- `status` (integer, required) — Status code as in the http standards
- `error_code` (integer, required) — Internal error code
- `title` (string, required) — Error title
- `detail` (ErrorDetailDetail, required) — Error detail
- `additional_information` (string, optional) — Optional extra information
- `traceback` (string, optional) — Optional debug information
- `interactive` (boolean, optional)

### ErrorDetailDetail

Error detail

- string
- list of string
- ErrorDetailDetail2

### ErrorDetailDetail2

All fields with validation errors

- `any_field` (list of string, optional) — Name of the field with a validation error and as a value an array with the error descriptions

## Examples

**Response**

```json
{
  "dataset_id": "string",
  "job_id": "string",
  "schema_version": 1,
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "status": "processing",
  "reprocessed_count": 1,
  "failed_count": 1,
  "errors": [
    {
      "datapoint_id": "string",
      "field": "string",
      "reason": "string"
    }
  ],
  "reason": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.prolific.com/api/v1/data-collection/datasets/dataset_id/schema-migrations/job_id"

headers = {"Authorization": "Token <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.prolific.com/api/v1/data-collection/datasets/dataset_id/schema-migrations/job_id';
const options = {method: 'GET', headers: {Authorization: 'Token <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.prolific.com/api/v1/data-collection/datasets/dataset_id/schema-migrations/job_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Token <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.prolific.com/api/v1/data-collection/datasets/dataset_id/schema-migrations/job_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Token <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.prolific.com/api/v1/data-collection/datasets/dataset_id/schema-migrations/job_id")
  .header("Authorization", "Token <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.prolific.com/api/v1/data-collection/datasets/dataset_id/schema-migrations/job_id', [
  'headers' => [
    'Authorization' => 'Token <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.prolific.com/api/v1/data-collection/datasets/dataset_id/schema-migrations/job_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Token <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Token <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.prolific.com/api/v1/data-collection/datasets/dataset_id/schema-migrations/job_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```